Subject: bug#63271: 29.0.90; broken mouse-face

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 May 2023 13:43:06 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Fri, 12 May 2023 11:19:01 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'd like to fix this soon, because I want to make another pretest of
> > 29.1.
> >
> > Thanks.
> 
> Please go ahead and remove it from ftcrfont.c.  The reason it was added
> has already been fixed.

Since I cannot verify the fix on my system, please confirm that the
change you asked me to install is the one below.

diff --git a/src/ftcrfont.c b/src/ftcrfont.c
index c9a4de8..4956469 100644
--- a/src/ftcrfont.c
+++ b/src/ftcrfont.c
@@ -590,7 +590,6 @@ ftcrfont_draw (struct glyph_string *s,
 			    GREEN_FROM_ULONG (col) / 255.0,
 			    BLUE_FROM_ULONG (col) / 255.0);
 #endif
-      s->background_filled_p = 1;
       cairo_rectangle (cr, x, y - FONT_BASE (s->font),
 		       s->width, FONT_HEIGHT (s->font));
       cairo_fill (cr);